/// <reference types="react" />
import { FunctionType } from "../types/types";
import { PageInfoType } from "../types/entity.interface";
import { ComponentDescription, ComponentList } from "../types/componentlist.interface";
import { RouteConfig } from "../types/route.interface";
declare class Helper {
    static populatePagesInRoutes(routes: RouteConfig[]): void;
    static populateComponentsInRoutes(routes: RouteConfig[]): void;
    static recrusiveFilter(data: Array<any>, filter: string, matchCase?: boolean, searchKeys?: false | Array<string>): any;
    static generateSlices(count: number, sliceLength: number, labelFormat: string): PageInfoType[];
    static aggregate(data: any, aggregator: string): {
        [key: string]: Array<string>;
    };
    static generateCategories(data: any, categories: Array<string> | undefined): {
        [key: string]: {
            [key: string]: Array<string>;
        };
    };
    static toCamelCase(str: string, separater: string, includeFirst: boolean): string;
    static generateRandomId(length?: number): string;
    static copyOrPrompt(text?: string, cb?: FunctionType): void;
    static copyToClipboard(text?: string): boolean;
    static findComponentDescription(componentName: string, components: ComponentList): {
        selectedItem: any;
        hierarchy: string | undefined;
        component: string;
    };
    static matchArrayFilters(searchList: Array<any> | undefined, filters: Array<any> | false | undefined, match: string, type?: string): any[] | undefined;
    static importComponent(name: string, hierarchy: string): import("react").LazyExoticComponent<import("react").ComponentType<any>>;
    static injectGlobalInFrame(frame: HTMLIFrameElement | null): void;
    static injectBootstrapInFrame(frame: HTMLIFrameElement | null): void;
    static injectVariablesInFrame(frame: HTMLIFrameElement | null): void;
    static injectEditorStyleInFrame(frame: HTMLIFrameElement | null): void;
    static injectComponentStyleInFrame(selectedComponent: ComponentDescription, hierarchy: string, frame: HTMLIFrameElement | null): void;
    static injectScssInFrame(scssPath: string, frame: HTMLIFrameElement | null, component?: {
        [key: string]: string;
    }, clipCallback?: any): void;
    static injectStyleInFrame(css: string, frame: HTMLIFrameElement | null, component?: {
        [key: string]: string;
    }): void;
    static injectLinkInFrame(link: string | Array<string>, frame: HTMLIFrameElement | null): void;
    static getStylesFromClass(className: string): Record<string, string>;
    static debounce<T extends (...args: any[]) => void>(func: T, wait?: number, immediate?: boolean): (...args: Parameters<T>) => void;
    static isMobile(): boolean;
    static download(blob: Blob, filename: string): void;
}
export default Helper;
